GuideLab API

Create a new organization

Create a new lab or clinic organization. The current user becomes the owner. Labs get default treatment phases and steps. Sets the new org as the user's active organization.

POST
/organization/create

Create a new lab or clinic organization. The current user becomes the owner. Labs get default treatment phases and steps. Sets the new org as the user's active organization.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/organization/create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "clinic"  }'
{  "success": true,  "organization": {    "id": "string",    "name": "string",    "slug": "string",    "organizationType": "string"  }}
Empty
Empty
Empty
Empty